# InquiryPriceCreateDisks

## 1. API Description

This API (InquiryPriceCreateDisks) is used to query the price of creating a disk.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Only operations on disks are supported.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                                                                                                                                              |
| -------------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| zoneId         | Yes      | String  | Availability zone ID.                                                                                                                                                                                                    |
| diskSize       | Yes      | Integer | <p>Disk size.</p><p>Unit: GB.</p><p>Value range: \[20, 20000]</p>                                                                                                                                                        |
| diskAmount     | No       | Integer | <p>Quantity of disks.</p><p>Value range: \[1, 50]</p><p>Default value: 1</p>                                                                                                                                             |
| diskCategory   | No       | String  | <p>Basic NVMe SSD: the Basic NVMe SSD. Standard NVMe SSD: the Standard NVMe SSD.</p><p>Default value: Standard NVMe SSD.</p><p>Call DescribeDiskCategory to obtain disk type.</p><p>Default value: Standard NVMe SSD</p> |

## 3. Output Parameters

| Parameter Name | Type                                                               | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                             | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataDiskPrice  | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem) | Disk price.                                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of creating a disk.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateDisks
<Common Request Params>

Request:
{
  "zoneId": "HKG-A",
  "diskSize": 2000
}

Response:
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "dataDiskPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                              | Description                             |
| ---------------- | --------------------------------------- | --------------------------------------- |
| 404              | INVALID\_PRODUCT\_NOT\_FOUND            | Specified instance type does not exist. |
| 404              | INVALID\_ZONE\_NOT\_FOUND               | Region does not exist.                  |
| 400              | INVALID\_DISK\_CATEGORY\_ZONE\_NO\_SELL | Disk type not for sale in the zone.     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk/inquirypricecreatedisks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
